POST /v1/responses
Крајња тачка компатибилна са ОпенАИ одговорима за текст, алатке, хостовану веб претрагу и Codex CLI.
POST /v1/responses
Захтев
curl https://api.model-gate.com/v1/responses \
-H "Authorization: Bearer mg_live_..." \
-H "Content-Type: application/json" \
-d '{
"model": "gpt-5.4",
"input": [
{
"role": "user",
"content": [{"type": "input_text", "text": "Summarize the release."}]
}
],
"stream": false
}'
Одговор
{
"id": "resp_example",
"object": "response",
"status": "completed",
"model": "gpt-5.4",
"output": [
{
"type": "message",
"role": "assistant",
"content": [{"type": "output_text", "text": "The release adds synchronized documentation and model aliases."}]
}
],
"usage": {
"input_tokens": 18,
"output_tokens": 14,
"total_tokens": 32
}
}
Хостована веб претрага
додати:
{
"tools": [{"type": "web_search"}],
"tool_choice": "required",
"include": ["web_search_call.action.sources"]
}
Не постоји одвојена подршка /v1/web-search уговор. Користите АПИ алатку Респонсес.
Асинц
"async": true је подржан само са "stream": false.